Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.modules.session
Class SimpleSessionStore.SimpleSessionManager

    java.lang.Object
      org.apache.tomcat.modules.session.SimpleSessionStore.SimpleSessionManager

Enclosing class:
  SimpleSessionStore

public static class SimpleSessionStore.SimpleSessionManager
extends java.lang.Object

The actual "simple" manager

Field Summary
`protected SimplePool` | `recycled` The set of previously recycled Sessions for this Manager.
`protected java.util.Hashtable` | `sessions` The set of currently active Sessions for this Manager, keyed by session identifier.

Constructor Summary
`SimpleSessionStore.SimpleSessionManager()`

Method Summary
`ServerSession` | `cloneSession(Request req, Context ctx, java.lang.String oldS)`
`ServerSession` | `findSession(java.lang.String id)`
`ServerSession` | `getNewSession(Request req, Context ctx)`
`int` | `getRecycledCount()`
`int` | `getSessionCount()`
`java.util.Enumeration` | `getSessionIds()`
`java.util.Enumeration` | `getSessions()`
`void` | `removeSession(ServerSession session)` Remove this Session from the active Sessions for this Manager.
`void` | `setDebug(int l)`
`void` | `setModule(BaseInterceptor bi)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### recycled

    protected SimplePool recycled

  The set of previously recycled Sessions for this Manager.

### sessions

    protected java.util.Hashtable sessions

  The set of currently active Sessions for this Manager, keyed by session identifier.

Constructor Detail

### SimpleSessionStore.SimpleSessionManager

    public SimpleSessionStore.SimpleSessionManager()

Method Detail

### setDebug

    public void setDebug(int l)

### setModule

    public void setModule(BaseInterceptor bi)

### getSessionIds

    public java.util.Enumeration getSessionIds()

### getSessions

    public java.util.Enumeration getSessions()

### getSessionCount

    public int getSessionCount()

### getRecycledCount

    public int getRecycledCount()

### findSession

    public ServerSession findSession(java.lang.String id)

### removeSession

    public void removeSession(ServerSession session)

  Remove this Session from the active Sessions for this Manager.

  Parameters:
    `session` - Session to be removed

### getNewSession

    public ServerSession getNewSession(Request req,
                                       Context ctx)

### cloneSession

    public ServerSession cloneSession(Request req,
                                      Context ctx,
                                      java.lang.String oldS)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.